Skip to main content
GET
/
api
/
v1
/
tasks
List tasks
curl --request GET \
  --url https://agents.nanonets.com/api/v1/tasks \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "agent_name": "<string>",
      "title": "<string>"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Workspace API key issued from the web app. Pass as Authorization: Bearer YOUR_API_KEY.

Query Parameters

cursor
string

Opaque pagination cursor returned by a previous response in next_cursor. Omit on the first request.

limit
integer
default:20

Maximum number of items to return. Defaults to 20; max 100.

Required range: 1 <= x <= 100
agent_id
string<uuid>

Only return tasks created from this agent.

status
string

Comma-separated list of statuses to include (pending, queued, running, waiting_for_input, awaiting_review, completed, failed, stopped).

created_after
string<date-time>

ISO-8601 timestamp; only tasks created at or after this instant.

created_before
string<date-time>

ISO-8601 timestamp; only tasks created at or before this instant.

q
string

Substring match against task title (case-insensitive).

Response

Paginated list of tasks.

data
object[]
required
has_more
boolean
required
next_cursor
string | null